## hivex 1.3.12

=== images/mkzero/Makefile ===
CROSS=i686-w64-mingw32-
CFLAGS=--std=c99
all: mkzero.exe
clean:
	rm -f *.exe *.o
mkzero.exe: mkzero.o
	$(CROSS)gcc -o $@ $< -lntdll
%.o: %.c
	$(CROSS)gcc $(CFLAGS) -Wpedantic -Wall -o $@ -c $<

## hivex 1.2.2+git20100712

=== debian/changelog ===
hivex (1.2.2+git20100712-2) unstable; urgency=low

  * Added missing build dependencies. How embarrassing. Closes: #589546
  * Reverted unnecessary patch to perl/run-perl-tests script
  * Added gnulib to debian/copyright

 -- Hilko Bengen <bengen@debian.org>  Mon, 19 Jul 2010 12:47:34 +0200

hivex (1.2.2+git20100712-1) unstable; urgency=low

  * Initial release (Closes: #573070)

 -- Hilko Bengen <bengen@debian.org>  Sat, 17 Jul 2010 16:12:37 +0200

=== debian/control ===
Source: hivex
Section: libs
Priority: extra
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev,
 pkg-config,
 libxml2-dev,
 libreadline-dev,
 libio-stringy-perl,
 ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~) 
Standards-Version: 3.8.4
Homepage: http://libguestfs.org/

Package: libhivex0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for reading and writing Windows Registry hives
 libhivex is a self-contained library for reading and writing Windows
 Registry "hive" binary files.
 .
 Unlike many other tools in this area, it doesn't use the textual .REG
 format for output, because parsing that is as much trouble as parsing
 the original binary format. Instead it makes the file available
 through a C API, or there is a separate program to export the hive as
 XML.

Package: libhivex-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libhivex0 (= ${binary:Version})
Description: library for reading and writing Windows Registry hives
 libhivex is a self-contained library for reading and writing Windows
 Registry "hive" binary files.
 .
 This package provides static libraries and header files.

Package: libhivex0-dbg
Section: debug
Architecture: any
Depends: libhivex0, ${shlibs:Depends}, ${misc:Depends}
Description: library for reading and writing Windows Registry hives
 libhivex is a self-contained library for reading and writing Windows
 Registry "hive" binary files.
 .
 This package contains debug symbols for libhivex.

Package: libhivex-bin
Section: otherosfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for reading and writing Windows Registry hives
 libhivex is a self-contained library for reading and writing Windows
 Registry "hive" binary files.
 .
 This package contains a few command line programs that utilize libhivex.

Package: libwin-hivex-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Perl bindings to hivex
 libhivex is a self-contained library for reading and writing Windows
 Registry "hive" binary files.
 .
 This package contains the Perl bindings to libhivex and hivexregedit,
 a low-level tool for manipulating hives using a text format as
 understood and produced by regedit.exe.

Package: libhivex-ocaml
Architecture: any
Section: ocaml
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for hivex -- runtime files
 OCaml bindings for libhivex, a library for reading and writing
 Windows Registry "hive" binary files.
 .
 This package contains only the shared runtime stub libraries.
 
Package: libhivex-ocaml-dev
Architecture: any
Section: ocaml
Depends: ${ocaml:Depends}, libhivex-dev, ${shlibs:Depends},  ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for hivex -- developtment files
 OCaml bindings for libhivex, a library for reading and writing
 Windows Registry "hive" binary files.
 .
 This package contains all the development stuff you need to use
 libhivex-ocaml in your programs.

# Package: libhivex-doc
# Architecture: all
# Description: documentation for hivex
# <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with ocaml $@

override_dh_strip:
	dh_strip --dbg-package=libhivex0-dbg

override_dh_auto_build:
	$(MAKE) INSTALLDIRS=vendor LD_RUN_PATH=""

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean

=== debian/watch ===
version=3
http://www.libguestfs.org/download hivex-(.*)\.tar\.gz

## hivex 1.3.1

=== debian/changelog ===
hivex (1.3.1-1) unstable; urgency=low

  * Imported New upstream version
  * [2c61bd6] Gave package to Debian Libvirt Maintainers group; added
    myself to Uploaders
  * [7246494] Added Vcs-* fields to debian/control
  * [0c303eb] Discarded patches that have been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Aug 2011 16:59:17 +0200

hivex (1.3.0-3) unstable; urgency=low

  * [8155d72] The O_CLOEXEC "fix" had a typo.

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Aug 2011 23:56:54 +0200

hivex (1.3.0-2) unstable; urgency=low

  * [739ed5b] Added fix for platforms that do not have O_CLOEXEC

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Aug 2011 23:13:25 +0200

hivex (1.3.0-1) unstable; urgency=low

  * New upstream version
  * [c632d25] Disabled Ruby bindings since we don't have a way of building
    them in a separate build directory yet.

 -- Hilko Bengen <bengen@debian.org>  Sun, 21 Aug 2011 20:13:11 +0200

hivex (1.2.8-1) unstable; urgency=low

  * New upstream version
  * [abf06f8] Modified debian/rules targets to use separate build
    directories, enabled building Python bindings for multiple versions
  * [5d4f8b3] Discarded patches integrated by upstream, added fix for
    python3

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Aug 2011 18:33:21 +0200

hivex (1.2.7-2) unstable; urgency=low

  * [2416ed8] Switched to 3.0 (quilt) format
  * [04d56f3] Fixed FTBFS with Perl 5.14, using patch from upstream git.
    Closes: #636650
  * [c867a2f] Useed OCaml build fixes from upstream git
  * [2b83743] Python: don't build static library, .so.0.0, symlinks
  * [2980f63] Switched handling of Python bindings to dh_python2

 -- Hilko Bengen <bengen@debian.org>  Sat, 06 Aug 2011 18:01:07 +0200

hivex (1.2.7-1) unstable; urgency=low

  * New upstream version
  * A different approach was chosen for fixing the FTBFS issue on FreeBSD
    and other systems.

 -- Hilko Bengen <bengen@debian.org>  Sat, 21 May 2011 21:10:13 +0200

hivex (1.2.6-3) unstable; urgency=low

  * Replaced ENOKEY constant so hivex should compile on the kfreebsd
    architectures.
  * Fixed install target for systems without native OCaml compiler.

 -- Hilko Bengen <bengen@debian.org>  Fri, 13 May 2011 01:29:14 +0200

hivex (1.2.6-2) unstable; urgency=low

  * Added missing build-dependency.

 -- Hilko Bengen <bengen@debian.org>  Fri, 13 May 2011 00:41:41 +0200

hivex (1.2.6-1) unstable; urgency=low

  * New upstream version
  * Python bindings
  * Switched source format to 1.0.
  * Provided patches to upstream that allow building on big-endian
    architectures and on arhitectures where no native OCaml compilers are
    available. (Closes: #589809)
  * No longer include .la files in libhivex-dev. (Closes: #621653)
  * Made libhivex conflict against old unofficial libguestfs package
    (Closes: #602443)

 -- Hilko Bengen <bengen@debian.org>  Thu, 12 May 2011 22:54:29 +0200

## hivex 1.3.2

=== debian/changelog ===
hivex (1.3.2-2) unstable; urgency=low

  * [b88d8f1] Disabled building of Python3 bindings for now
    (Closes: #646383)

 -- Hilko Bengen <bengen@debian.org>  Wed, 16 Nov 2011 16:59:44 +0100

hivex (1.3.2-1) unstable; urgency=low

  * New upstream version
  * [163d9e6] Added fix from upstream git that enables the hivexsh build.

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Oct 2011 14:02:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: hivex
 Section: libs
 Priority: extra
-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  autotools-dev,
  pkg-config,
  libxml2-dev,
  libreadline-dev,
  libio-stringy-perl,
- ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~) 
-Standards-Version: 3.8.4
+ ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
+ python-all-dev
+Standards-Version: 3.9.2
 Homepage: http://libguestfs.org/
+Vcs-Git: git://git.debian.org/git/pkg-libvirt/hivex.git
+Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/hivex.git
 
 Package: libhivex0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libguestfs0 (<= 1.0.84-4)
 Description: library for reading and writing Windows Registry hives
  libhivex is a self-contained library for reading and writing Windows
  Registry "hive" binary files.
@@ -61,12 +66,11 @@
 Architecture: any
 Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: Perl bindings to hivex
- libhivex is a self-contained library for reading and writing Windows
- Registry "hive" binary files.
+ Perl bindings for libhivex, a library for reading and writing
+ Windows Registry "hive" binary files.
  .
- This package contains the Perl bindings to libhivex and hivexregedit,
- a low-level tool for manipulating hives using a text format as
- understood and produced by regedit.exe.
+ This package also contains hivexregedit, a low-level command-line
+ tool for manipulating and dumping registry hives.
 
 Package: libhivex-ocaml
 Architecture: any
@@ -77,8 +81,8 @@
  OCaml bindings for libhivex, a library for reading and writing
  Windows Registry "hive" binary files.
  .
- This package contains only the shared runtime stub libraries.
- 
+ This package include only the shared runtime stub libraries.
+
 Package: libhivex-ocaml-dev
 Architecture: any
 Section: ocaml
@@ -88,8 +92,16 @@
  OCaml bindings for libhivex, a library for reading and writing
  Windows Registry "hive" binary files.
  .
- This package contains all the development stuff you need to use
- libhivex-ocaml in your programs.
+ This package contains all the files needed to develop OCaml programs
+ wich use OCaml bindings to libhivex.
+
+Package: python-hivex
+Architecture: any
+Section: python
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Python bindings for hivex
+ Python bindings for libhivex, a library for reading and writing
+ Windows Registry "hive" binary files.
 
 # Package: libhivex-doc
 # Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,53 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# PYTHONS        := $(shell pyversions --installed; py3versions --installed)
+PYTHONS        := $(shell pyversions --installed)
+PYTHON_DEFAULT := $(shell pyversions --default)
+
 %:
-	dh --with ocaml $@
+	dh \
+		--without python-support \
+		--with autotools-dev,ocaml,python2 $@
+
+override_dh_auto_configure:
+	set -e; for p in $(PYTHONS); do \
+	    if [ $$p = $(PYTHON_DEFAULT) ]; then \
+		dh_auto_configure --builddir=$(CURDIR)/debian/build-$$p \
+                    -- RAKE=no ; \
+	    else \
+	        dh_auto_configure --builddir=$(CURDIR)/debian/build-$$p \
+	            -- PYTHON=$$p OCAMLC=no PERL=no RAKE=no ; \
+	    fi ; \
+	done
+
+override_dh_auto_build:
+	set -e; for p in $(PYTHONS); do \
+	    dh_auto_build --builddir=$(CURDIR)/debian/build-$$p \
+	        -- INSTALLDIRS=vendor LD_RUN_PATH=""; \
+	done
+
+override_dh_auto_test:
+	dh_auto_test --builddir=$(CURDIR)/debian/build-$(PYTHON_DEFAULT) \
+	set -e; for p in $(PYTHONS); do \
+	    dh_auto_test --builddir=$(CURDIR)/debian/build-$$p/python ; \
+	done
+
+override_dh_auto_install:
+	dh_auto_install --builddir=$(CURDIR)/debian/build-$(PYTHON_DEFAULT)
+	set -e; for p in $(PYTHONS); do \
+	    $(MAKE) -C $(CURDIR)/debian/build-$$p/python install \
+	        DESTDIR=$(CURDIR)/debian/tmp ; \
+	done
+
+override_dh_auto_clean:
+	set -e; for p in $(PYTHONS); do \
+	    dh_auto_clean --builddir=$(CURDIR)/debian/build-$$p ; \
+	done
 
 override_dh_strip:
 	dh_strip --dbg-package=libhivex0-dbg
 
-override_dh_auto_build:
-	$(MAKE) INSTALLDIRS=vendor LD_RUN_PATH=""
-
-override_dh_auto_clean:
-	[ ! -f Makefile ] || $(MAKE) distclean
+override_dh_install:
+	rm debian/tmp/usr/lib/python*/dist-packages/libhivexmod.la
+	dh_install

## hivex 1.3.3

=== debian/changelog ===
hivex (1.3.3-2) unstable; urgency=low

  * [c8b597a] corrected dh call
  * [891d3fd] Converted package for multiarch, following
    <http://wiki.debian.org/Multiarch/Implementation>

 -- Hilko Bengen <bengen@debian.org>  Thu, 02 Feb 2012 20:57:32 +0100

hivex (1.3.3-1) unstable; urgency=low

  * New upstream version
  * [1f9e20f] Cleared patch queue, added gnulib fix

 -- Hilko Bengen <bengen@debian.org>  Thu, 01 Dec 2011 22:09:50 +0100

hivex (1.3.2-3) unstable; urgency=low

  * [c2e1061] Fixed typo in description (Closes: #648985)
  * [c107de5] Added upstream's fix for Python3 support

 -- Hilko Bengen <bengen@debian.org>  Sat, 19 Nov 2011 22:15:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: extra
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.1.3~),
  autotools-dev,
  pkg-config,
  libxml2-dev,
  libreadline-dev,
  libio-stringy-perl,
  ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
- python-all-dev
+ python-all-dev, python3-all-dev
 Standards-Version: 3.9.2
 Homepage: http://libguestfs.org/
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/hivex.git
@@ -19,6 +19,8 @@
 Package: libhivex0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libguestfs0 (<= 1.0.84-4)
 Description: library for reading and writing Windows Registry hives
@@ -34,6 +36,7 @@
 Package: libhivex-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libhivex0 (= ${binary:Version})
 Description: library for reading and writing Windows Registry hives
  libhivex is a self-contained library for reading and writing Windows
@@ -44,6 +47,7 @@
 Package: libhivex0-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: libhivex0, ${shlibs:Depends}, ${misc:Depends}
 Description: library for reading and writing Windows Registry hives
  libhivex is a self-contained library for reading and writing Windows
@@ -88,7 +92,7 @@
 Section: ocaml
 Depends: ${ocaml:Depends}, libhivex-dev, ${shlibs:Depends},  ${misc:Depends}
 Provides: ${ocaml:Provides}
-Description: OCaml bindings for hivex -- developtment files
+Description: OCaml bindings for hivex -- development files
  OCaml bindings for libhivex, a library for reading and writing
  Windows Registry "hive" binary files.
  .

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# PYTHONS        := $(shell pyversions --installed; py3versions --installed)
-PYTHONS        := $(shell pyversions --installed)
+PYTHONS        := $(shell pyversions --installed; py3versions --installed)
 PYTHON_DEFAULT := $(shell pyversions --default)
 
 %:
-	dh \
+	dh $@ \
 		--without python-support \
-		--with autotools-dev,ocaml,python2 $@
+		--with autotools-dev,ocaml,python2,python3
 
 override_dh_auto_configure:
 	set -e; for p in $(PYTHONS); do \

## hivex 1.3.5

=== debian/changelog ===
hivex (1.3.5-2) unstable; urgency=low

  * [a4864dc] Fixed debian/rules so that Ruby 1.9.1 bindings are built

 -- Hilko Bengen <bengen@debian.org>  Sun, 18 Mar 2012 18:38:27 +0100

hivex (1.3.5-1) unstable; urgency=low

  * New upstream version
  * [3488703] Added ruby-hivex package
  * [d0bdba9] Rebased patch queue, added Ruby fixes
  * [46bed8b] Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Thu, 15 Mar 2012 17:21:17 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHONS        := $(shell pyversions --installed; py3versions --installed)
PYTHON_DEFAULT := $(shell pyversions --default)
RUBIES         := ruby1.8 ruby1.9.1
RUBY_DEFAULT   := ruby1.8

%:
	dh $@ \
		--without python-support \
		--with autotools-dev,ocaml,python2,python3,ruby

override_dh_auto_configure:
	dh_auto_configure --builddir=$(CURDIR)/debian/build-default \
		-- \
		PYTHON=${PYTHON_DEFAULT} \
		RUBY=${RUBY_DEFAULT}

	set -e; for p in $(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) \
	; do \
		dh_auto_configure --builddir=$(CURDIR)/debian/build-$$p \
		-- \
		PYTHON=$$p OCAMLC=no PERL=no RUBY=no RAKE=no ; \
	done
	set -e; for v in $(patsubst ruby%,%,$(filter-out $(RUBY_DEFAULT), $(RUBIES))) \
	; do \
		dh_auto_configure --builddir=$(CURDIR)/debian/build-ruby$$v \
		-- \
		PYTHON=no OCAMLC=no PERL=no RUBY=ruby$$v RAKE=rake$$v ; \
	done

override_dh_auto_build:
	set -e; for p in \
		default \
		$(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) \
		$(filter-out $(RUBY_DEFAULT), $(RUBIES)) \
	; do \
		dh_auto_build --builddir=$(CURDIR)/debian/build-$$p \
			-- INSTALLDIRS=vendor LD_RUN_PATH=""; \
	done

override_dh_auto_test:
	dh_auto_test --builddir=$(CURDIR)/debian/build-default \
	set -e; for p in $(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) ; do \
		dh_auto_test --builddir=$(CURDIR)/debian/build-$$p -- -C python ; \
	done
	set -e; for p in $(filter-out $(RUBY_DEFAULT), $(RUBIES)) ; do \
		dh_auto_test --builddir=$(CURDIR)/debian/build-$$p -- -C ruby ; \
	done

override_dh_auto_install:
	dh_auto_install --builddir=$(CURDIR)/debian/build-default
	set -e; for p in $(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) ; do \
		dh_auto_install --builddir=$(CURDIR)/debian/build-$$p -- -C python ; \
	done
	set -e; for p in $(filter-out $(RUBY_DEFAULT), $(RUBIES)) ; do \
		dh_auto_install --builddir=$(CURDIR)/debian/build-$$p -- -C ruby ; \
	done

override_dh_auto_clean:
	set -e; for p in \
		default \
		$(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) \
		$(filter-out $(RUBY_DEFAULT), $(RUBIES)) \
	; do \
		dh_auto_clean --builddir=$(CURDIR)/debian/build-$$p ; \
	done

override_dh_strip:
	dh_strip --dbg-package=libhivex0-dbg

override_dh_install:
	rm debian/tmp/usr/lib/python*/dist-packages/libhivexmod.la
	dh_install

## hivex 1.3.6

=== debian/changelog ===
hivex (1.3.6-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports
  * Reverted multiarch changes
  * Don't handle Python bindings for Python 2.5 and Python 3.x
  * dh_ocaml: workaround for #636906

 -- Hilko Bengen <bengen@debian.org>  Tue, 07 May 2013 23:32:01 +0200

hivex (1.3.6-2) unstable; urgency=low

  * [7de8ea3] changed pattern in .install files so that the multiarch
    directories on Hurd (i386-gnu) are picked up (Cloese: #677434)

 -- Hilko Bengen <bengen@debian.org>  Thu, 14 Jun 2012 23:39:38 +0200

hivex (1.3.6-1) unstable; urgency=low

  * New upstream version
  * [8d9e348] Added a method for determining available Ruby versions at
    build time

 -- Hilko Bengen <bengen@debian.org>  Wed, 13 Jun 2012 18:50:29 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
  libreadline-dev,
  libio-stringy-perl,
  ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
- python-all-dev, python3-all-dev
-Standards-Version: 3.9.2
+ python-all-dev,
+ gem2deb, rake,
+Standards-Version: 3.9.3
 Homepage: http://libguestfs.org/
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/hivex.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/hivex.git
@@ -19,7 +20,6 @@
 Package: libhivex0
 Section: libs
 Architecture: any
-Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libguestfs0 (<= 1.0.84-4)
@@ -36,7 +36,6 @@
 Package: libhivex-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: ${misc:Depends}, libhivex0 (= ${binary:Version})
 Description: library for reading and writing Windows Registry hives
  libhivex is a self-contained library for reading and writing Windows
@@ -47,7 +46,6 @@
 Package: libhivex0-dbg
 Section: debug
 Architecture: any
-Multi-Arch: same
 Depends: libhivex0, ${shlibs:Depends}, ${misc:Depends}
 Description: library for reading and writing Windows Registry hives
  libhivex is a self-contained library for reading and writing Windows
@@ -107,7 +105,11 @@
  Python bindings for libhivex, a library for reading and writing
  Windows Registry "hive" binary files.
 
-# Package: libhivex-doc
-# Architecture: all
-# Description: documentation for hivex
-# <insert long description, indented with spaces>
+Package: ruby-hivex
+Architecture: any
+Section: ruby
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Ruby bindings for hivex
+ Ruby bindings for libhivex, a library for reading and writing
+ Windows Registry "hive" binary files.

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHONS        := $(shell pyversions --installed; py3versions --installed)
+PYTHONS        := $(shell pyversions --installed)
 PYTHON_DEFAULT := $(shell pyversions --default)
-RUBIES         := ruby1.8 ruby1.9.1
-RUBY_DEFAULT   := ruby1.8
+RUBIES         := $(shell find /usr/bin/ -name ruby1\* | xargs -n1 readlink -f | xargs -n1 basename)
+RUBY_DEFAULT   := $(shell which ruby | xargs readlink -f | xargs basename)
 
 %:
 	dh $@ \
 		--without python-support \
-		--with autotools-dev,ocaml,python2,python3,ruby
+		--with autotools-dev,ocaml,python2,ruby
 
 override_dh_auto_configure:
 	dh_auto_configure --builddir=$(CURDIR)/debian/build-default \
@@ -33,9 +33,10 @@
 	done
 	set -e; for v in $(patsubst ruby%,%,$(filter-out $(RUBY_DEFAULT), $(RUBIES))) \
 	; do \
+		if [ $$v = 1.8 ]; then rake=rake; else rake=rake$$v; fi ; \
 		dh_auto_configure --builddir=$(CURDIR)/debian/build-ruby$$v \
 		-- \
-		PYTHON=no OCAMLC=no PERL=no RUBY=ruby$$v RAKE=rake$$v ; \
+		PYTHON=no OCAMLC=no PERL=no RUBY=ruby$$v RAKE=$$rake ; \
 	done
 
 override_dh_auto_build:
@@ -81,3 +82,11 @@
 override_dh_install:
 	rm debian/tmp/usr/lib/python*/dist-packages/libhivexmod.la
 	dh_install
+
+override_dh_python2:
+	dh_python2 -V 2.6-
+
+override_dh_ocaml:
+	dh_ocaml
+	find debian/libhivex-ocaml-dev -type d -or -type f | xargs chmod g-w
+

## hivex 1.3.7

=== debian/changelog ===
hivex (1.3.7-2) unstable; urgency=low

  * Added patches
    - Fix build on Python 3.3 (Closes: #692387)
    - Make sure that HTML documentation is correctly generated
  
 -- Hilko Bengen <bengen@debian.org>  Thu, 09 May 2013 12:12:30 +0200

hivex (1.3.7-1) unstable; urgency=low

  * New upstream version
  * Removed Python ABI patch that was picked up by upstream.
  * Use ./configure --disable-xxx switches

 -- Hilko Bengen <bengen@debian.org>  Fri, 04 Jan 2013 21:28:45 +0100

hivex (1.3.6-3) unstable; urgency=low

  * [dea9b81] Removed autoreconf patch, changed build to use dh-autoreconf
  * [e99b7fc] Added patch to configure.ac to correctly determine libpython
    name (Closes: #681791)

 -- Hilko Bengen <bengen@debian.org>  Mon, 16 Jul 2012 20:39:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
- autotools-dev,
+ dh-autoreconf, autopoint,
  pkg-config,
  libxml2-dev,
  libreadline-dev,
  libio-stringy-perl,
  ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
- python-all-dev,
+ python-all-dev, python3-all-dev,
  gem2deb, rake,
 Standards-Version: 3.9.3
 Homepage: http://libguestfs.org/
@@ -20,6 +20,7 @@
 Package: libhivex0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libguestfs0 (<= 1.0.84-4)
@@ -36,6 +37,7 @@
 Package: libhivex-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libhivex0 (= ${binary:Version})
 Description: library for reading and writing Windows Registry hives
  libhivex is a self-contained library for reading and writing Windows
@@ -46,6 +48,7 @@
 Package: libhivex0-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: libhivex0, ${shlibs:Depends}, ${misc:Depends}
 Description: library for reading and writing Windows Registry hives
  libhivex is a self-contained library for reading and writing Windows

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHONS        := $(shell pyversions --installed)
+PYTHONS        := $(shell pyversions --installed; py3versions --installed)
 PYTHON_DEFAULT := $(shell pyversions --default)
 RUBIES         := $(shell find /usr/bin/ -name ruby1\* | xargs -n1 readlink -f | xargs -n1 basename)
 RUBY_DEFAULT   := $(shell which ruby | xargs readlink -f | xargs basename)
@@ -17,7 +17,7 @@
 %:
 	dh $@ \
 		--without python-support \
-		--with autotools-dev,ocaml,python2,ruby
+		--with autoreconf,ocaml,python2,python3,ruby
 
 override_dh_auto_configure:
 	dh_auto_configure --builddir=$(CURDIR)/debian/build-default \
@@ -29,14 +29,16 @@
 	; do \
 		dh_auto_configure --builddir=$(CURDIR)/debian/build-$$p \
 		-- \
-		PYTHON=$$p OCAMLC=no PERL=no RUBY=no RAKE=no ; \
+		--disable-ocaml --disable-perl \
+		PYTHON=$$p RUBY=no RAKE=no ; \
 	done
 	set -e; for v in $(patsubst ruby%,%,$(filter-out $(RUBY_DEFAULT), $(RUBIES))) \
 	; do \
 		if [ $$v = 1.8 ]; then rake=rake; else rake=rake$$v; fi ; \
 		dh_auto_configure --builddir=$(CURDIR)/debian/build-ruby$$v \
 		-- \
-		PYTHON=no OCAMLC=no PERL=no RUBY=ruby$$v RAKE=$$rake ; \
+		--disable-ocaml --disable-perl --disable-python \
+		RUBY=ruby$$v RAKE=$$rake ; \
 	done
 
 override_dh_auto_build:
@@ -82,11 +84,3 @@
 override_dh_install:
 	rm debian/tmp/usr/lib/python*/dist-packages/libhivexmod.la
 	dh_install
-
-override_dh_python2:
-	dh_python2 -V 2.6-
-
-override_dh_ocaml:
-	dh_ocaml
-	find debian/libhivex-ocaml-dev -type d -or -type f | xargs chmod g-w
-

## hivex 1.3.8

=== debian/changelog ===
hivex (1.3.8-1) unstable; urgency=low

  * New upstream version
  * Added symbols file
  * Cleaned up patch queue

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Jul 2013 10:13:00 +0200

hivex (1.3.7-5) unstable; urgency=low

  * Finished support for python3 bindings, thanks to Scott Kitterman

 -- Hilko Bengen <bengen@debian.org>  Fri, 24 May 2013 01:42:44 +0200

hivex (1.3.7-4) unstable; urgency=low

  * Added patch to build Python3 extensions with PEP-3149-compliant suffix
    (Closes: #709516)

 -- Hilko Bengen <bengen@debian.org>  Fri, 24 May 2013 01:00:22 +0200

hivex (1.3.7-3) unstable; urgency=low

  * Added patch to fix FTBFS due to usage of obsolete rake/rdoctask,
    rake/gempackagetask (Closes: #709388)

 -- Hilko Bengen <bengen@debian.org>  Thu, 23 May 2013 16:07:56 +0200

=== debian/control ===
--- 
+++ 
@@ -108,6 +108,15 @@
  Python bindings for libhivex, a library for reading and writing
  Windows Registry "hive" binary files.
 
+Package: python3-hivex
+Architecture: any
+Section: python
+Breaks: python-hivex (<< 1.3.7-5~)
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Python 3 bindings for hivex
+ Python 3 bindings for libhivex, a library for reading and writing
+ Windows Registry "hive" binary files.
+
 Package: ruby-hivex
 Architecture: any
 Section: ruby

## hivex 1.3.9

=== debian/changelog ===
hivex (1.3.9-2build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:27:07 +0100

hivex (1.3.9-2) unstable; urgency=medium

  * Added patches from upstream trunk
    - Python bindings regression
    - Bump value size limit, fix error message

 -- Hilko Bengen <bengen@debian.org>  Fri, 07 Feb 2014 18:14:54 +0100

hivex (1.3.9-1) unstable; urgency=medium

  * New upstream version
  * All local patches have been integrated upstream
  * Updated symbols file
  * Install Ruby bindings to vendor directory
  * Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Fri, 17 Jan 2014 16:10:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hivex
 Section: libs
 Priority: extra
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  dh-autoreconf, autopoint,
@@ -12,7 +13,7 @@
  ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
  python-all-dev, python3-all-dev,
  gem2deb, rake,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://libguestfs.org/
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/hivex.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/hivex.git

=== debian/rules ===
--- 
+++ 
@@ -61,12 +61,15 @@
 	done
 
 override_dh_auto_install:
-	dh_auto_install --builddir=$(CURDIR)/debian/build-default
+	dh_auto_install --builddir=$(CURDIR)/debian/build-default \
+			-- INSTALLDIRS=vendor
 	set -e; for p in $(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) ; do \
-		dh_auto_install --builddir=$(CURDIR)/debian/build-$$p -- -C python ; \
+		dh_auto_install --builddir=$(CURDIR)/debian/build-$$p \
+			-- -C python ; \
 	done
 	set -e; for p in $(filter-out $(RUBY_DEFAULT), $(RUBIES)) ; do \
-		dh_auto_install --builddir=$(CURDIR)/debian/build-$$p -- -C ruby ; \
+		dh_auto_install --builddir=$(CURDIR)/debian/build-$$p \
+			-- -C ruby INSTALLDIRS=vendor ; \
 	done
 
 override_dh_auto_clean:

## hivex 1.3.10

=== debian/changelog ===
hivex (1.3.10-2+deb8u2) jessie; urgency=medium

  * Fix ruby-hivex installation (Closes: #819261)

 -- Hilko Bengen <bengen@debian.org>  Tue, 24 May 2016 20:37:40 +0200

hivex (1.3.10-2+deb8u1) testing-proposed-updates; urgency=medium

  * Added upstream patches that fix CVE-2014-9273 ("missing checks for
    small-sized files in hivex")

 -- Hilko Bengen <bengen@debian.org>  Sat, 07 Mar 2015 15:40:54 +0100

hivex (1.3.10-2) unstable; urgency=medium

  [ Niko Tyni ]
  * Don't hardcode /usr/lib/perl5 in debian/libwin-hivex-perl.install
    (Closes: #752015)
  
  [ Hilko Bengen ]
  * Updated rule for finding Ruby variants

 -- Hilko Bengen <bengen@debian.org>  Wed, 18 Jun 2014 22:48:12 +0200

hivex (1.3.10-1) unstable; urgency=medium

  * New upstream version
  * Cleared patch queue

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Apr 2014 17:24:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hivex
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  dh-autoreconf, autopoint,
@@ -122,7 +121,7 @@
 Architecture: any
 Section: ruby
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ruby bindings for hivex
  Ruby bindings for libhivex, a library for reading and writing
  Windows Registry "hive" binary files.

## hivex 1.3.11

=== debian/changelog ===
hivex (1.3.11-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:11:43 +0000

hivex (1.3.11-1) unstable; urgency=medium

  * New upstream version
  * Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Fri, 31 Oct 2014 09:23:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hivex
 Section: libs
 Priority: extra
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  dh-autoreconf, autopoint,
@@ -12,7 +13,7 @@
  ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
  python-all-dev, python3-all-dev,
  gem2deb, rake,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://libguestfs.org/
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/hivex.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/hivex.git
@@ -121,7 +122,7 @@
 Architecture: any
 Section: ruby
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: Ruby bindings for hivex
  Ruby bindings for libhivex, a library for reading and writing
  Windows Registry "hive" binary files.

## hivex 1.3.12

=== debian/changelog ===
hivex (1.3.12-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Oct 2015 21:47:21 +0200

## hivex 1.3.13

=== debian/changelog ===
hivex (1.3.13-1build3) xenial; urgency=medium

  * No-change rebuild for ruby2.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2016 10:47:41 +0000

hivex (1.3.13-1build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:22 +0000

hivex (1.3.13-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 00:25:12 +0000

hivex (1.3.13-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 30 Oct 2015 19:20:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: hivex
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  dh-autoreconf, autopoint,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 PYTHONS        := $(shell pyversions --installed; py3versions --installed)
 PYTHON_DEFAULT := $(shell pyversions --default)
-RUBIES         := $(shell find /usr/bin/ -name ruby1\* | xargs -n1 readlink -f | xargs -n1 basename)
+RUBIES         := $(shell find /usr/bin/ -name 'ruby[12]\*' | xargs -n1 readlink -f | xargs -n1 basename)
 RUBY_DEFAULT   := $(shell which ruby | xargs readlink -f | xargs basename)
 
 %:

## hivex 1.3.14

=== debian/changelog ===
hivex (1.3.14-3) unstable; urgency=medium

  * Set SOURCE_DATE_EPOCH by include pkg-info.mk into debian/rules.
    This should ensure reproducible timestamps in manpages.
    (Closes: #874236)

 -- Hilko Bengen <bengen@debian.org>  Tue, 05 Sep 2017 21:47:42 +0200

hivex (1.3.14-2) unstable; urgency=medium

  * Update Vcs-*
  * Modernize package: DH compat level, Standards-Version
  * Add missing symbols to .symbols file
  * Fix typo in libhivex-ocaml-dev description
  * Drop -dbg package

 -- Hilko Bengen <bengen@debian.org>  Mon, 28 Aug 2017 20:09:55 +0200

hivex (1.3.14-1) unstable; urgency=medium

  * New upstream version 1.3.14
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sat, 18 Feb 2017 11:15:20 +0100

hivex (1.3.13-2) unstable; urgency=medium

  * Fix ruby-hivex installation (Closes: #819261)

 -- Hilko Bengen <bengen@debian.org>  Fri, 25 Mar 2016 20:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 8.1.3~),
- dh-autoreconf, autopoint,
+Build-Depends: debhelper (>= 10~),
+ autopoint,
  pkg-config,
  libxml2-dev,
  libreadline-dev,
@@ -12,10 +12,10 @@
  ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
  python-all-dev, python3-all-dev,
  gem2deb, rake,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Homepage: http://libguestfs.org/
-Vcs-Git: git://git.debian.org/git/pkg-libvirt/hivex.git
-Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/hivex.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/hivex.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-libvirt/hivex.git
 
 Package: libhivex0
 Section: libs
@@ -44,17 +44,6 @@
  Registry "hive" binary files.
  .
  This package provides static libraries and header files.
-
-Package: libhivex0-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libhivex0, ${shlibs:Depends}, ${misc:Depends}
-Description: library for reading and writing Windows Registry hives
- libhivex is a self-contained library for reading and writing Windows
- Registry "hive" binary files.
- .
- This package contains debug symbols for libhivex.
 
 Package: libhivex-bin
 Section: otherosfs
@@ -98,7 +87,7 @@
  Windows Registry "hive" binary files.
  .
  This package contains all the files needed to develop OCaml programs
- wich use OCaml bindings to libhivex.
+ which use OCaml bindings to libhivex.
 
 Package: python-hivex
 Architecture: any
@@ -119,9 +108,10 @@
 
 Package: ruby-hivex
 Architecture: any
+Multi-Arch: same
 Section: ruby
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ruby bindings for hivex
  Ruby bindings for libhivex, a library for reading and writing
  Windows Registry "hive" binary files.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/pkg-info.mk
+
 PYTHONS        := $(shell pyversions --installed; py3versions --installed)
 PYTHON_DEFAULT := $(shell pyversions --default)
 RUBIES         := $(shell find /usr/bin/ -name 'ruby[12]\*' | xargs -n1 readlink -f | xargs -n1 basename)
@@ -17,7 +19,7 @@
 %:
 	dh $@ \
 		--without python-support \
-		--with autoreconf,ocaml,python2,python3,ruby
+		--with ocaml,python2,python3,ruby
 
 override_dh_auto_configure:
 	dh_auto_configure --builddir=$(CURDIR)/debian/build-default \
@@ -81,9 +83,5 @@
 		dh_auto_clean --builddir=$(CURDIR)/debian/build-$$p ; \
 	done
 
-override_dh_strip:
-	dh_strip --dbg-package=libhivex0-dbg
-
 override_dh_install:
-	rm debian/tmp/usr/lib/python*/dist-packages/libhivexmod.la
-	dh_install
+	dh_install --fail-missing -X.la -X.so.owner

## hivex 1.3.15

=== debian/changelog ===
hivex (1.3.15-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds Read
    - debian/patches/CVE-2021-3504.patch: lib/handle.c: Add missing
    bounds check for block exceeding page length.
    - CVE-2021-3504
  * Other fixes: Fix FTBFS
    - debian/patches/fix-test_thread_create.patch: Fix thread create test.
    - debian/patches/fix-test_rwlock1.patch: Fix test-rwlock1 when --as-needed
      is the default.

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 11 Nov 2021 18:11:53 +0000

hivex (1.3.15-1) unstable; urgency=medium

  * New upstream version 1.3.15
  * Bump Standards-Version
  * Migrate VCS to salsa.debian.org
  * Drop patch integrated upstream
  * Change Priority to optional

 -- Hilko Bengen <bengen@debian.org>  Mon, 26 Feb 2018 20:38:20 +0100

hivex (1.3.14-4) unstable; urgency=medium

  * Reduce number of configure/make/install runs
  * Bump Standards-Version
  * debian/rules: Explicitly specify buildsystem

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Dec 2017 00:41:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hivex
 Section: libs
-Priority: extra
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 10~),
  autopoint,
@@ -12,10 +13,10 @@
  ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
  python-all-dev, python3-all-dev,
  gem2deb, rake,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: http://libguestfs.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/hivex.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-libvirt/hivex.git
+Vcs-Git: https://salsa.debian.org/libvirt-team/hivex.git
+Vcs-Browser: https://salsa.debian.org/libvirt-team/hivex
 
 Package: libhivex0
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Notes
# -----
#
# - Bindings for all available Ruby and Python versions (as determined
#   in RUBY_VERSIONS, PYTHON_VERSIONS, respectively) are built, using
#   the minimum number of configure/make/make test/install cycles
#   (BUILD_COUNT, BUILDS). Builds are performed out-of-tree, in
#   directories debian/build-1, debian/build-2, etc..
#
# - Targets for individual builds are generated in GNU Make on the
#   fly, by evaluating expansions of the `DH_AUTO_TEMPLATE' variable
#   multiple times. (See the foreach loop below the variable
#   definition.) Multiple recipies for the `override_dh_auto_clean'
#   target as well as multiple prerequisites for the
#   `override_dh_auto_{configure,build,test}' targets are defined.
#   Only the last build contains the full feature set (including Perl
#   and OCaml bindings).
#
# - Running `debian/rules output_template' can be used to inspect the
#   targets that have been generated using `DH_AUTO_TEMPLATE'.

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

PYTHON_VERSIONS := $(shell pyversions --installed; py3versions --installed)
RUBY_VERSIONS   := $(shell find /usr/bin/ -name 'ruby[12]*' \
			| xargs -n1 readlink -f | xargs -n1 basename)

# Determine the number of builds needed due to script language version
# variants
BUILD_COUNT := $(lastword $(sort $(foreach lang,PYTHON RUBY,$(words $($(lang)_VERSIONS)))))
BUILDS := $(foreach n,$(wordlist 1,$(BUILD_COUNT),1 2 3 4 5 6 7 8 9),$(n))

# Template for generating dh_{clean,configure,build,test} overrides.
# $1 is replaced with the build number.
define DH_AUTO_TEMPLATE
override_dh_auto_clean::
	dh_auto_clean --builddir=$(CURDIR)/debian/build-$1

$(CURDIR)/debian/build-$1/config.status:
	dh_auto_configure --builddir=$(CURDIR)/debian/build-$1 \
		-- \
		$(if $(findstring $1,$(BUILD_COUNT)),\
			,\
			--disable-ocaml --disable-perl )\
		$(if $(word $1,$(RUBY_VERSIONS)),\
			RUBY=$(word $1,$(RUBY_VERSIONS)) \
			RAKE="$(word $1,$(RUBY_VERSIONS)) -S rake" \
			,\
			--disable-ruby) \
		$(if $(word $1,$(PYTHON_VERSIONS)),\
			PYTHON=$(word $1,$(PYTHON_VERSIONS)) \
			,\
			--disable-python)

override_dh_auto_configure: $(CURDIR)/debian/build-$1/config.status

$(CURDIR)/debian/build-$1/build-stamp:
	dh_auto_build --builddir=$(CURDIR)/debian/build-$1 \
		-- INSTALLDIRS=vendor LD_RUN_PATH=""
	touch $$@

override_dh_auto_build: $(CURDIR)/debian/build-$1/build-stamp

$(CURDIR)/debian/build-$1/test-stamp:
	dh_auto_test --builddir=$(CURDIR)/debian/build-$1
	touch $$@

override_dh_auto_test: $(CURDIR)/debian/build-$1/test-stamp

endef

$(foreach build,$(BUILDS),$(eval $(call DH_AUTO_TEMPLATE,$(build))))

output_template:
	$(foreach build,$(BUILDS),$(info $(call DH_AUTO_TEMPLATE,$(build))))

override_dh_auto_install:
	for build in $(BUILDS); do \
		dh_auto_install --builddir=$(CURDIR)/debian/build-$$build \
			-- INSTALLDIRS=vendor; \
	done

%:
	dh $@ \
		--buildsystem=autoconf \
		--without python-support \
		--with ocaml,python2,python3,ruby

override_dh_install:
	dh_install --fail-missing -X.la -X.so.owner
